## rustc-1.85 1.85.1%2Bdfsg0ubuntu2~bpo0

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# The build regressed back when LTO was systematized in Ubuntu.
# This should be periodically revisited.
export DEB_BUILD_MAINT_OPTIONS=optimize=-lto

include /usr/share/dpkg/pkg-info.mk
include /usr/share/dpkg/vendor.mk
include /usr/share/dpkg/architecture.mk
SED_VERSION_SHORT := sed -re 's/([^.]+)\.([^.]+)\..*/\1.\2/'
RUST_VERSION := $(shell echo '$(DEB_VERSION_UPSTREAM)' | $(SED_VERSION_SHORT))
RUST_LONG_VERSION := $(shell echo '$(DEB_VERSION_UPSTREAM)' | sed -re 's/([^+]+).*/\1/')
RUST_PREV_VERSION=$(shell echo '$(RUST_LONG_VERSION)' | awk 'BEGIN{FS="."} {print $$1"."($$2)-1}')
RUST_NEXT_VERSION=$(shell echo '$(RUST_LONG_VERSION)' | awk 'BEGIN{FS="."} {print $$1"."($$2)+1}')
LIBSTD_PKG := libstd-rust-$(RUST_VERSION)
# Sed expression that matches the "rustc" we have in our Build-Depends field
SED_RUSTC_BUILDDEP := sed -ne "/^Build-Depends:/,/^[^[:space:]\#]/{/^ *rustc:native .*,/p}" debian/control
# Version of /usr/bin/rustc
LOCAL_RUST_VERSION := $(shell rustc --version --verbose | sed -ne 's/^release: //p')

include /usr/share/dpkg/buildflags.mk
# needed for cross-compilation to avoid passing host CFLAGS to the BUILD
# compiler
export TARGET_CFLAGS = $(CFLAGS)
export TARGET_CXXFLAGS = $(CXXFLAGS)
export TARGET_CPPFLAGS = $(CPPFLAGS)
export TARGET_LDFLAGS = $(LDFLAGS)
unexport CFLAGS CXXFLAGS CPPFLAGS LDFLAGS
export CARGO_HOME = $(CURDIR)/debian/cargo

# Defines DEB_*_RUST_TYPE triples
include debian/architecture.mk
# for dh_install substitution variable
export DEB_HOST_RUST_TYPE

# Let rustbuild control whether LLVM is compiled with debug symbols, rather
# than compiling with debug symbols unconditionally, which will fail on
# 32-bit architectures
CFLAGS := $(shell echo $(CFLAGS) | sed -e 's/\-g//')
CXXFLAGS := $(shell echo $(CFLAGS) | sed -e 's/\-g//')

# for dh_install substitution variable
export RUST_LONG_VERSION
export RUST_VERSION

# Cargo-specific flags
export LIBSSH2_SYS_USE_PKG_CONFIG=1
export PKG_CONFIG=pkg-config

DEB_DESTDIR := $(CURDIR)/debian/tmp

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
ifeq ($(DEB_HOST_ARCH),riscv64)
NJOBS := -j $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
else
NJOBS := -j 16
endif
endif
RUSTBUILD = RUST_BACKTRACE=1 python3 src/bootstrap/bootstrap.py $(NJOBS)
RUSTBUILD_FLAGS = --stage 2 --config debian/config.toml --on-fail env
# rust-tidy depends on lots of modules that we strip out of the build.
# it also tries to access the network for some reason. so just disable it.
RUSTBUILD_TEST = $(RUSTBUILD) test --no-fail-fast --exclude src/tools/tidy
# To run a specific test, run something like:
#   $ debian/rules override_dh_auto_test-arch \
#     RUSTBUILD_TEST_FLAGS="src/test/run-make --test-args extern-fn-struct"
# See src/bootstrap/README.md for more options.
RUSTBUILD_TEST_FLAGS =

# https://github.com/rust-lang/rust/issues/89744
# TODO: remove when we update cargo to 1.55 / 0.56
# upstream bug still exists and is under investigation, but is hidden by newer cargo
export CARGO_PROFILE_RELEASE_BUILD_OVERRIDE_OPT_LEVEL=0

# autopkgtest-related logic
ifneq (,$(RUST_TEST_SELFBUILD))
RUST_BOOTSTRAP_DIR = /usr/lib/rust-$(RUST_VERSION)
endif

update-version:
	oldver=$(shell $(SED_RUSTC_BUILDDEP) | sed -ne 's/.*(<= \(.*\)).*/\1/gp' | $(SED_VERSION_SHORT)); \
	newver=$(RUST_VERSION); \
	debian/update-version.sh $$oldver $$newver $(RUST_LONG_VERSION) $(CARGO_NEW)

# Below we detect how we're supposed to bootstrap the stage0 compiler. See
# README.Debian for more details of the cases described below.
#
PRECONFIGURE_CHECK = :
HAVE_BINARY_TARBALL := $(shell ls -1 stage0/*/*$(DEB_HOST_RUST_TYPE)* 2>/dev/null | wc -l)
DOWNLOAD_BOOTSTRAP := false
# allow not using the binary tarball although it exists
#ifneq (,$(filter $(DEB_HOST_ARCH), amd64 arm64 armhf i386 powerpc ppc64el s390x))
#  HAVE_BINARY_TARBALL := 0
#endif
ifeq (0,$(HAVE_BINARY_TARBALL))
    # Case A (Building from source): the extracted source tree does not include
    # a bootstrapping tarball for the current architecture e.g. because the
    # distro already has a rustc for this arch, or the uploader expects that
    # this requirement be fulfilled in some other way.
    #
    # Case A-1: the builder did not select the "pkg.rustc.dlstage0" build profile.
    # In this case, we use the distro's rustc - either the previous or current version.
    ifeq (,$(findstring pkg.rustc.dlstage0,$(DEB_BUILD_PROFILES)))
        # Make it easier to test against a custom rustc
        ifneq (,$(RUST_BOOTSTRAP_DIR))
        RUST_LIBRARY_PATH := $(RUST_BOOTSTRAP_DIR)/usr/lib/$(DEB_HOST_MULTIARCH):$(RUST_BOOTSTRAP_DIR)/usr/lib
        LD_LIBRARY_PATH := $(if $(LD_LIBRARY_PATH),$(LD_LIBRARY_PATH):$(RUST_LIBRARY_PATH),$(RUST_LIBRARY_PATH))
        export LD_LIBRARY_PATH
        endif
    #
    # Case A-2: the builder selected the "dlstage0" build profile.
    # In this case, the rust build scripts will download a stage0 into stage0/ and use that.
    # We don't need to do anything specific in this build file, so this case is empty.
    else
        DOWNLOAD_BOOTSTRAP := true
    endif
else
    # Case B (Bootstrapping a new distro): the extracted source tree does
    # include a bootstrapping tarball for the current architecture; see the
    # `source_orig-stage0` target below on how to build this.
    #
    # In this case, we'll bootstrap from the stage0 given in that tarball.
    # To ensure the uploader of the .dsc didn't make a mistake, we first check
    # that rustc isn't a Build-Depends for the current architecture.
    ifneq (,$(shell $(SED_RUSTC_BUILDDEP)))
    ifeq (,$(shell $(SED_RUSTC_BUILDDEP) | grep '!$(DEB_HOST_ARCH)'))
        PRECONFIGURE_CHECK = $(error found matches for stage0/*/*$(DEB_HOST_RUST_TYPE)*, \
          but rustc might be a Build-Depends for $(DEB_HOST_ARCH))
    endif
    endif
endif

BUILD_DOCS := true
ifneq (,$(findstring nodoc,$(DEB_BUILD_PROFILES)))
  BUILD_DOCS := false
endif
ifneq (,$(findstring nodoc,$(DEB_BUILD_OPTIONS)))
  BUILD_DOCS := false
endif

BUILD_WASM := false

BUILD_WINDOWS := false

MAKE_OPTIMISATIONS := true
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
  MAKE_OPTIMISATIONS := false
endif

VERBOSITY_SUB := $(words $(filter terse,$(DEB_BUILD_OPTIONS)))
VERBOSITY_ADD := $(words $(filter verbose,$(DEB_BUILD_OPTIONS)))
VERBOSITY := $(shell expr 2 + $(VERBOSITY_ADD) - $(VERBOSITY_SUB))

ifeq ($(shell test $(VERBOSITY) -ge 3; echo $$?),0)
  export DH_VERBOSE=1
endif

ifeq ($(shell test $(VERBOSITY) -le 0; echo $$?),0)
  export DH_QUIET=1
.SILENT:
endif

# Build products or non-source files in src/, that shouldn't go in rust-src
SRC_CLEAN = src/bootstrap/bootstrap.pyc \
	src/bootstrap/__pycache__ \
	src/etc/__pycache__/

# Try to work around #933045
ifneq (,$(filter $(DEB_BUILD_ARCH), mips mipsel))
  SYSTEM_WORKAROUNDS += export MALLOC_ARENA_MAX=1;
endif

# List generated files
FILES_TO_PRECONFIGURE := $(wildcard debian/*.in)
FILES_TO_PRECONFIGURE_OUT := $(subst X.Y,$(RUST_VERSION),\
  $(filter-out debian/control,\
    $(patsubst %.in,%,$(FILES_TO_PRECONFIGURE))\
  )\
)
DEFINED_SRC_NAME = $(shell dpkg-parsechangelog -S Source)
DEFINED_SRC_VERSION = $(shell cut -f1 -d' ' < $(CURDIR)/version)

%:
	$(SYSTEM_WORKAROUNDS) dh $@ --parallel --with bash-completion

.PHONY: .dbg-windows
.dbg-windows:
	@echo host=$(DEB_BUILD_ARCH) target=$(DEB_HOST_ARCH) BUILD_WINDOWS=$(BUILD_WINDOWS) WINDOWS_ARCH=$(WINDOWS_ARCH)

.PHONY: build
build:
	$(SYSTEM_WORKAROUNDS) dh $@ --parallel --with bash-completion

override_dh_clean: debian/control
	# Upstream contains a lot of these
	dh_clean -XCargo.toml.orig

debian/preconfigure.stamp: $(FILES_TO_PRECONFIGURE) debian/changelog
ifneq ($(RUST_LONG_VERSION),$(DEFINED_SRC_VERSION))
	$(error Version is incorrect:\
	  Source: $(RUST_LONG_VERSION), expected $(DEFINED_SRC_VERSION). Please check d/changelog)
endif
ifneq ($(DEFINED_SRC_NAME),rustc-$(RUST_VERSION))
	$(error Source package name is incorrect:\

## rustc-1.85 1.85.1%2Bdfsg0ubuntu2

=== debian/changelog ===
rustc-1.85 (1.85.1+dfsg0ubuntu2-0ubuntu1) questing; urgency=medium

  * Use system C libraries instead of erroneously-vendored C libraries
    (LP: #2119693)
    - d/control*,d/copyright,d/p/series: Use system libonig-dev instead of
      vendored oniguruma
    - d/copyright,d/p/series: Use pure Rust impl of blake3, not embedded C lib

 -- Max Gilmour <max.gilmour@canonical.com>  Tue, 19 Aug 2025 15:52:46 -0700

rustc-1.85 (1.85.1+dfsg0ubuntu1-0ubuntu1) questing; urgency=medium

  * New upstream version 1.85.1 (LP: #2109761)
  * d/patches: Refresh patches
  * d/p/prune/d-0021-vendor-remove-windows-dependencies.patch: Prune Windows
    dependencies for Rust 1.85
  * d/copyright: Update list of excluded source files after pruning
  * d/control,d/s/lintian-overrides: Re-generate files for rustc-1.85
  * d/patches: Refresh patches after pruning Windows sources
  * d/control,d/control.in: Update XS-Vendored-Sources-Rust
  * d/copyright: Add copyright entries for new dependencies
  * d/p/behaviour/d-rust-lldb-paths.patch: Update hardcoded lldb version
  * d/config.toml.in,d/copyright: Disable LLVM Enzyme
  * d/copyright: Exclude windows-bindgen metadata binaries

 -- Max Gilmour <max.gilmour@canonical.com>  Tue, 17 Jun 2025 11:15:23 -0700

rustc-1.84 (1.84.1+dfsg0ubuntu1-0ubuntu1) plucky; urgency=medium

  * New upstream version 1.84.1 (LP: #2097189)

 -- Zixing Liu <zixing.liu@canonical.com>  Fri, 31 Jan 2025 22:39:57 -0700

rustc-1.84 (1.84.0+dfsg0ubuntu1-0ubuntu1) plucky; urgency=medium

  * New upstream version 1.84.0 (LP: #2093796)
  * d/patches: refresh early patches
  * d/patches: remove windows dependencies for Rust 1.84
  * d/copyright: remove Windows library source files
  * d/patches: refresh patches after deleting Windows sources
  * d/control,d/s/lintian-overrides: re-generate files for rustc-1.84
  * d/config.toml.in: use download-rustc option to avoid downloading
    upstream rustc binaries
  * d/copyright: update copyright information for vendor libraries

 -- Zixing Liu <zixing.liu@canonical.com>  Fri, 10 Jan 2025 15:28:21 -0700

rustc-1.83 (1.83.0+dfsg0ubuntu1-0ubuntu2) plucky; urgency=medium

  * d/rust-X.Y-src.links.in: add one more symlink that creates the 
    lib/rustlib/src/rust path to help with the Linux kernel build system
    (LP: #2090791)
  * d/p/ubuntu/ubuntu-update-libgit2-to-1.9.patch: add a patch to
    update libgit2 to 1.9 (LP: #2093205)
  * d/control.in: update libgit2 to 1.9

 -- Zixing Liu <zixing.liu@canonical.com>  Tue, 07 Jan 2025 11:39:05 -0700

rustc-1.83 (1.83.0+dfsg0ubuntu1-0ubuntu1) plucky; urgency=medium

  * New upstream version 1.83.0 (LP: #2091414)
  * d/patches: refresh and rebase patches
  * d/copyright: update list of unused vendored dependencies
  * d/control,d/s/lintian-overrides: re-generate files for rustc-1.83
  * d/p/prune/d-0021-vendor-remove-windows-dependencies.patch: update the patch
    to remove more Windows dependencies
  * d/config.toml.in: disable GCC backend and enable LLVM Enzyme
  * d/copyright: update copyright information
  * d/bin/cargo: fix LTO argument passing
  * d/config.toml.in: re-enable wasm-component-ld to avoid test regressions
  * d/config.toml.in: using the new option to disable LLVM binary download
  * d/p/ubuntu/ubuntu-enzyme-use-system-llvm.patch: new patch force LLVM Enzyme
    to use system LLVM

 -- Zixing Liu <zixing.liu@canonical.com>  Tue, 10 Dec 2024 11:22:54 -0700

rustc-1.82 (1.82.0+dfsg0ubuntu1-0ubuntu1) plucky; urgency=medium

  [ Zixing Liu ]
  * New upstream release 1.82.0 (LP: #2088229)
  * d/rules: correctly pass the LLVM_PROFILER_RT_LIB variable to Rust build system
  * debian/patches/behaviour/d-rustc-add-soname.patch: patch the new test, the test is detecting this patch negatively
  * debian/patches/build/d-bootstrap-custom-debuginfo-path.patch: don't patch debuginfo test, it works correctly now
  * d/control.in: update to use libgit2 1.8.x
  * d/rules,*.in: upgrade to LLVM 19
  * d/p/ubuntu/ubuntu-fix-simd-test.patch: add a patch to fix SIMD FFI test
  * d/control.in: update vendored dependency list
  * d/{control,s/lintian-overrides}: re-generate files for rustc-1.82
  * d/patches: refresh patches
  * d/patches: remove obsoleted patches
    - upstream/u-add-missing-f16-intrinsics.patch
    - upstream/u-add-f16-f128-handling-in-a-couple-places.patch
    - upstream/Revert-loongarch-add-frecipe-and-relax-target-feature.patch
    - ubuntu/ubuntu-add-s390x-allowed-features.patch
    - upstream/u-disable-f16-f128-on-unsupported-platforms.patch
  * d/copyright: update the list of unused vendored dependencies
  * d/copyright: update copyright information
  * d/s/lintian-overrides: override new false-positives
  * d/p/prune/d-0020-remove-windows-dependencies.patch: refresh the patch

  [ Fabian Grünbichler ]
  * set LLVM profiler RT path via config
    instead of via the environment, adapting to corresponding upstream changes, and
    adapt the config change-id accordingly.
    Signed-off-by: Fabian Grünbichler <f.gruenbichler@proxmox.com>

 -- Zixing Liu <zixing.liu@canonical.com>  Thu, 14 Nov 2024 15:26:51 -0700

rustc-1.81 (1.81.0+dfsg0ubuntu1-0ubuntu1) oracular; urgency=medium

  * New upstream release 1.81.0 (LP: #2080415)
    - d/patches: refresh patches
    - d/copyright: update the list of unused vendored dependencies
    - d/control: re-generate files for rustc-1.81
    - d/p/ubuntu/ubuntu-libgit2-downgrade.patch: downgrade libgit2
      requirements to 1.7
    - d/config.toml.in: update change ID to suppress warnings
    - d/copyright: update copyright information
    - d/s/lintian-overrides.in: add new overrides for test data
    - d/p/upstream/u-limit-f16-doctests-to-x86.patch,
      d/p/vendor/u-hurd-gix-index.patch: remove unneeded patches

 -- Zixing Liu <zixing.liu@canonical.com>  Mon, 09 Sep 2024 10:19:09 -0600

rustc-1.80 (1.80.1+dfsg0ubuntu1-0ubuntu1) oracular; urgency=medium

  * New upstream release 1.80.1 (LP: #2076206)
    - d/patches: refresh patches


## rustc-1.85 1.85.1+dfsg0ubuntu2~bpo0

=== src/llvm-project/lldb/test/API/functionalities/jitloader_gdb/Makefile ===
C_SOURCES := main.c

all: a.out simple

include Makefile.rules

simple:
	$(MAKE) -f $(MAKEFILE_RULES) \
		C_SOURCES=simple.c EXE=simple

=== src/llvm-project/lldb/test/API/macosx/find-app-in-bundle/Makefile ===
C_SOURCES := main.c
EXE := TestApp
all: clean TestApp.app/Contents/MacOS/TestApp

include Makefile.rules

TestApp.app/Contents/MacOS/TestApp: $(EXE) $(DSYM)
	cp -r $(SRCDIR)/TestApp.app .
	mv TestApp TestApp.app/Contents/MacOS/TestApp
	mv TestApp.dSYM TestApp.app.dSYM

clean::
	rm -rf $(EXE) TestApp.app TestApp.app.dSYM

=== src/llvm-project/lldb/test/API/symbol_ondemand/breakpoint_language/Makefile ===
C_SOURCES := c_lang.c
CXX_SOURCES := main.cpp cpp_lang.cpp

include Makefile.rules

=== src/llvm-project/lldb/test/API/tools/lldb-dap/module/Makefile ===
DYLIB_NAME := foo
DYLIB_CXX_SOURCES := foo.cpp
CXX_SOURCES := main.cpp

LD_EXTRAS := -Wl,-rpath "-Wl,$(shell pwd)"
USE_LIBDL :=1

include Makefile.rules

all: a.out.stripped

a.out.stripped:
	strip -o a.out.stripped a.out

ifneq "$(CODESIGN)" ""
	$(CODESIGN) -fs - a.out.stripped
endif

=== src/llvm-project/lldb/test/API/commands/expression/import-std-module/module-build-errors/Makefile ===
# We don't have any standard include directories, so we can't
# parse the test_common.h header we usually inject as it includes
# system headers.
NO_TEST_COMMON_H := 1

CXXFLAGS_EXTRAS = -I $(SRCDIR)/root/usr/include/c++/v1/ -I $(SRCDIR)/root/usr/include/ -nostdinc -nostdinc++ -DBUILDING_OUTSIDE_LLDB=1
CXX_SOURCES := main.cpp

include Makefile.rules

## rustc-1.85 1.85.1+dfsg0ubuntu1

=== debian/control ===
Source: rustc-1.85
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Ximin Luo <infinity0@debian.org>,
 Sylvestre Ledru <sylvestre@debian.org>,
 Fabian Grünbichler <debian@fabian.gruenbichler.email>
Rules-Requires-Root: no
# :native annotations are to support cross-compiling, see README.Debian
Build-Depends:
 debhelper (>= 9),
 debhelper-compat (= 13),
 dh-cargo (>= 28ubuntu1~),
 dpkg-dev (>= 1.17.14),
 python3:native,
 cargo-1.84 | cargo-1.85 <!pkg.rustc.dlstage0>,
 rustc-1.84 | rustc-1.85 <!pkg.rustc.dlstage0>,
 llvm-19-dev:native,
 llvm-19-tools:native,
 libclang-rt-19-dev (>= 1:19.1.2),
 libclang-common-19-dev (>= 1:19.1.2),
 cmake (>= 3.0) | cmake3,
# needed by some vendor crates
 pkgconf,
# this is sometimes needed by rustc_llvm
 zlib1g-dev:native,
 zlib1g-dev,
# used by rust-installer
 liblzma-dev:native,
# used by cargo
 bash-completion,
 libcurl4-gnutls-dev | libcurl4-openssl-dev,
 libssh2-1-dev,
 libgit2-dev (>= 1.9.0~~),
 libgit2-dev (<< 1.10~~),
 libhttp-parser-dev,
 libsqlite3-dev,
# test dependencies:
 binutils (>= 2.26) <!nocheck> | binutils-2.26 <!nocheck>,
 git <!nocheck>,
 procps <!nocheck>,
# Resources loaded from the docs, checked by linkchecker
 libjs-jquery <!nocheck>,
 libjs-highlight.js <!nocheck>,
 libjs-mathjax <!nocheck>,
 fonts-open-sans <!nocheck>,
 fonts-font-awesome <!nocheck>,
# below are optional tools even for 'make check'
 gdb (>= 7.12) <!nocheck>,
 libc6-dbg [armhf],
# Extra build-deps needed for x.py to download stuff in pkg.rustc.dlstage0.
 curl <pkg.rustc.dlstage0>,
 ca-certificates <pkg.rustc.dlstage0>,
Build-Depends-Indep:
 clang-19:native,
 libssl-dev,
Build-Conflicts: gdb-minimal (<< 8.1-0ubuntu6) <!nocheck>
Standards-Version: 4.6.2
Homepage: http://www.rust-lang.org/
Vcs-Git: https://salsa.debian.org/rust-team/rust.git
Vcs-Browser: https://salsa.debian.org/rust-team/rust

## rustc-1.85 1.85.1+dfsg0ubuntu2~bpo0

=== debian/changelog ===
rustc-1.85 (1.85.1+dfsg0ubuntu2~bpo0-0ubuntu0.24.04) noble; urgency=medium

  * Backport to Noble (LP: #2125611)
  * d/config.toml,d/control,d/copyright,d/rules: Vendored LLVM and libgit
  * d/s/lintian-overrides: Significant additions due to vendored LLVM

 -- Karl Smeltzer <karl.smeltzer@canonical.com>  Fri, 03 Oct 2025 14:15:13 -0400

rustc-1.85 (1.85.1+dfsg0ubuntu2-0ubuntu0.25.04) plucky; urgency=medium

  * Backport to Plucky (LP: #2121900)
  * d/s/lintian-overrides: Remove superfluous overrides

 -- Karl Smeltzer <karl.smeltzer@canonical.com>  Wed, 24 Sep 2025 11:25:17 -0700

rustc-1.85 (1.85.1+dfsg0ubuntu2-0ubuntu2) questing; urgency=medium

  * Use system C libraries instead of erroneously-vendored C libraries
    (LP: #2119693)
    - d/control*,d/copyright,d/p/series: Use system libonig-dev instead of
      vendored oniguruma
    - d/copyright,d/p/series: Use pure Rust impl of blake3, not embedded C lib

 -- Max Gilmour <max.gilmour@canonical.com>  Tue, 19 Aug 2025 15:52:46 -0700

=== debian/control ===
--- 
+++ 
@@ -17,10 +17,6 @@
  python3:native,
  cargo-1.84 | cargo-1.85 <!pkg.rustc.dlstage0>,
  rustc-1.84 | rustc-1.85 <!pkg.rustc.dlstage0>,
- llvm-19-dev:native,
- llvm-19-tools:native,
- libclang-rt-19-dev (>= 1:19.1.2),
- libclang-common-19-dev (>= 1:19.1.2),
  cmake (>= 3.0) | cmake3,
 # needed by some vendor crates
  pkgconf,
@@ -33,10 +29,11 @@
  bash-completion,
  libcurl4-gnutls-dev | libcurl4-openssl-dev,
  libssh2-1-dev,
- libgit2-dev (>= 1.9.0~~),
- libgit2-dev (<< 1.10~~),
- libhttp-parser-dev,
+# libgit2-dev (>= 1.9.0~~),
+# libgit2-dev (<< 1.10~~),
+# libhttp-parser-dev,
  libsqlite3-dev,
+ libonig-dev,
 # test dependencies:
  binutils (>= 2.26) <!nocheck> | binutils-2.26 <!nocheck>,
  git <!nocheck>,
@@ -53,8 +50,10 @@
 # Extra build-deps needed for x.py to download stuff in pkg.rustc.dlstage0.
  curl <pkg.rustc.dlstage0>,
  ca-certificates <pkg.rustc.dlstage0>,
+# Extra build-deps for vendored LLVM
+ m4,
+ ninja-build,
 Build-Depends-Indep:
- clang-19:native,
  libssl-dev,
 Build-Conflicts: gdb-minimal (<< 8.1-0ubuntu6) <!nocheck>
 Standards-Version: 4.6.2

=== debian/rules ===
--- 
+++ 
@@ -46,7 +46,6 @@
 
 # Cargo-specific flags
 export LIBSSH2_SYS_USE_PKG_CONFIG=1
-export PKG_CONFIG=pkg-config
 
 DEB_DESTDIR := $(CURDIR)/debian/tmp
 
@@ -54,7 +53,7 @@
 ifeq ($(DEB_HOST_ARCH),riscv64)
 NJOBS := -j $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
 else
-NJOBS := -j 16
+NJOBS := -j 4
 endif
 endif
 RUSTBUILD = RUST_BACKTRACE=1 python3 src/bootstrap/bootstrap.py $(NJOBS)
